# ExpandProperties

Extends \BaseFilterReader Implements \ChainableReader

Expands Phing Properties, if any, in the data.

Example:

    <expandproperties/>

Or:

###

##

###

####

##

###

####

###

##

##

###

##

###

##

###

##

###

##

###

####

####

##

##

###

##

###

####

##

###

##

###

##

##

###

####

##

###

####

##

###

####

##

###

####

##

###

####

###

##

###

##

###

##

###

##

###

                                            author

                                                                                    Yannick Lecaillez yl@seasonfive.com

                                            author

                                                                                    Hans Lellelid hans@xmpl.org

                                            version

                                                                                    $Id: e675c5b0a48221a1627266abd6e88c1d495badbc $

                                            see

                                            package

                                                                                    phing.filters

                         Methods

                                __construct
                                __construct(\Reader $in = null)

                                    inherited

                                                                                Arguments

                                                    $in
                                                    \Reader

                                Creates a new ExpandProperties filter using the passed in
    Reader for instantiation.
                                chain(\Reader $reader) : \ExpandProperties

                                                                                Arguments

                                                    $reader
                                                    \ReaderA Reader object providing the underlying stream.
    Must not be null.

                                                                                Response
                                            \ExpandPropertiesA new filter based on this configuration, but filtering
    the specified reader

                                Close stream.
                                close()

                                    inherited                                                                                                abstract

                                                        throws

                                                                                                                                                                            if there is an error closing stream

                                Returns whether the end of file has been reached with input stream.
                                eof() : boolean

                                    inherited

                                                                                Response
                                            boolean

                                Returns the initialized status.
                                getInitialized() : boolean

                                    inherited

                                                                                Response
                                            booleanwhether or not the filter is initialized

                                Returns the project this filter is part of.
                                getProject() : object

                                    inherited

                                                                                Response
                                            objectThe project this filter is part of

                                Returns the filename, url, etc. that is being read from.
                                getResource() : string

                                    inherited                                                                                                abstract

                                        This is critical for, e.g., ExpatParser's ability to know
    the filename that is throwing an ExpatParserException, etc.

                                                                                Response
                                            string

                                Convenience method to support logging in filters.
                                log(string $msg, integer $level = \Project::MSG_INFO) : void

                                    inherited

                                                                                Arguments

                                                    $msg
                                                    stringMessage to log.

                                                    $level
                                                    integerPriority level.

                                If supported, places a "marker" (like a bookmark) at current stream position.
                                mark()

                                    inherited

                                        A subsequent call to reset() will move stream position back
    to last marker (if supported).

                                Whether marking is supported.
                                markSupported() : boolean

                                    inherited

                                                                                Response
                                            boolean

                                Read data from source.
                                read(integer $len = null)

                                    inherited                                                                                                abstract

                                        If length is specified, then only that number of chars is read,
    otherwise stream is read until EOF.

                                                                                Arguments

                                                    $len
                                                    integer

                                Reads a line of text ending with '\n' (or until the end of the stream).
                                readLine() : string

                                    inherited

                                        The returned String retains the '\n'.

                                                        throws

                                                                                                                                                                            if the underlying reader throws one during
    reading

                                                                                Response
                                            stringthe line read, or null if the end of the
    stream has already been reached

                                Is stream ready for reading.
                                ready() : boolean

                                    inherited

                                                                                Response
                                            boolean

                                Reset the current position in stream to beginning or last mark (if supported).
                                reset()

                                    inherited

                                Sets the initialized status.
                                setInitialized(boolean $initialized)

                                    inherited

                                                                                Arguments

                                                    $initialized
                                                    booleanWhether or not the filter is initialized.

                                Set level of log messages generated (default = info)
                                setLevel(string $level)

                                                                                Arguments

                                                    $level
                                                    string

                                Sets the project to work with.
                                setProject(object|\Project $project)

                                    inherited

                                                                                Arguments

                                                    $project
                                                    object|\ProjectThe project this filter is part of.
    Should not be null.

                                setReader
                                setReader(\Reader $in)

                                    inherited

                                                                                Arguments

                                                    $in
                                                    \Reader

                                Move stream position relative to current pos.
                                skip(integer $n)

                                    inherited

                                                                                Arguments

                                                    $n
                                                    integer

                                                                     Properties

                                    logLevel
                                    logLevel :

                                                                                        Type(s)

                                    Have the parameters passed been interpreted?
                                    initialized :

                                        inherited

                                                                                        Type(s)

                                    The Phing project this filter is part of.
                                    project :

                                        inherited

                                                                                        Type(s)

                                    in
                                    in : \Reader

                                        inherited

                                                            var

                                                                                        Type(s)
                                                \Reader